function visualizeDistort( restV, restF, defoV, exR )

nV = size(defoV, 1);
nF = size(restF, 1);

G = extractG(restV, restF);

xV = zeros(2*nV,1);
for i=1:nV
    xV(2*i-1) = defoV(i,1);
    xV(2*i  ) = defoV(i,2);
end

dist = G*xV - exR;

distPerEle = zeros(nF, 1);
for i=1:nF
    distPerEle(i,1) = norm(dist(4*i-3:4*i));
end

%viz on rest shape
trimesh(restF,restV(:,1), restV(:,2), zeros(nV,1),'EdgeColor','k','FaceColor','flat',...
    'FaceVertexCData',distPerEle,'CDataMapping','scaled','FaceLighting','flat','BackFaceLighting','lit');
axis equal;

end

